Version: 1.1.7
Release: alt4
%define realname shhopt
Name: lib%realname
%define srcname %realname-%version

Summary: Library for parsing command line options
License: Artistic
Group: System/Libraries
Url: http://shh.thathost.com/pub-unix
Packager: Dmitry V. Levin <ldv@altlinux.org>

# %url/files/%srcname.tar.gz
Source: %srcname.tar
Patch: shhopt-1.1.7-alt-shared.patch

%package devel
Summary: Include files for developing apps which will use shhopt library
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static library for developing apps which will use shhopt library
Group: Development/C
Requires: %name-devel = %version-%release

%description
This is a yet another library for parsing command line options.
Both traditional one-character options, and GNU-style --long-options
are supported.

%description devel
This package contains development files needed to develop programs that
use the shhopt library.

%description devel-static
This package contains the static library needed to develop statically
linked programs that use the shhopt library.

%prep
%setup -q -n %srcname
%patch -p1

%build
%define _optlevel 3

make clean
make dep
make OPTIM="%optflags"
rm -f *.o
make SHARED=1 OPTIM="%optflags" CCSHRD="%optflags_shared"

%install
mkdir -p %buildroot{/%_lib,%_libdir,%_includedir}
ln -s ../../%_lib/%name.so.%version %buildroot%_libdir/%name.so
install -pm755 *.so.* %buildroot/%_lib/
install -pm644 *.a %buildroot%_libdir/
install -pm644 *.h %buildroot%_includedir/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
/%_lib/*
%doc ChangeLog CREDITS README TODO %srcname.lsm example.c

%files devel
%_libdir/*.so
%_includedir/*

%files devel-static
%_libdir/*.a

%changelog
* Mon Apr 09 2007 Dmitry V. Levin <ldv@altlinux.org> 1.1.7-alt4
- Uncompressed tarball, cleaned up specfile.

* Mon Aug 15 2005 Dmitry V. Levin <ldv@altlinux.org> 1.1.7-alt3
- Restricted list of global symbols exported by the library.

* Wed Sep 01 2004 Dmitry V. Levin <ldv@altlinux.org> 1.1.7-alt2
- Added multilib support (#5095).
- Minor specfile tweaks.

* Wed Oct 02 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt1
- 1.1.7
- fixed url
- added Packager tag

* Mon May 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.1.4-alt1
- Initial revision.
